<template>
  <div class="row row-cols-2 row-cols-lg-4 g-2 g-lg-3 pb-4">
      <!-- Earnings (Monthly) Card Example -->
        <div class="col-auto ">
            <FileUpload/>                      
        </div>
        <div class="col-auto">
            <FileUpload/>                      
        </div>
        <div class="col-auto">
            <FileUpload/>                      
        </div>
        <div class="col-auto">
            <FileUpload/>                      
        </div>
  </div>
    <div class="alert alert-success d-flex align-items-center" role="alert">
        <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
        <div>
            An example success alert with an icon
        </div>
    </div>
  <div class="alert alert-warning d-flex align-items-center" role="alert">
        <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Warning:"><use xlink:href="#exclamation-triangle-fill"/></svg>
        <div>
            An example warning alert with an icon
        </div>
    </div>
  <div class="d-flex justify-content-end">
    <button type="button" class="btn btn-primary">Transmettre Sage</button>
    <button type="button" class="btn btn-warning" disabled>Transmettre Effitrace</button>
  </div>
  <EasyDataTable
    alternating
    v-model:items-selected="itemsSelected"
    buttons-pagination
    :headers="headers"
    :items="items"
    :loading="loading"
    theme-color="#216155"
  >

  </EasyDataTable>

</template>

<script  lang="ts">
import { defineComponent, ref, reactive, onMounted } from "vue";
import { Header, Item } from "vue3-easy-data-table";
import { getCfsSuivi } from './cf.api';
import FileUpload from '../../partials/Datas/FileUpload.vue'
export default defineComponent({
  components: {FileUpload},
  setup() {
    const headers: Header[] = [
        { text: "N° CF", value: "do_piece", fixed: true}, // set fixed to true
        { text: "Dépôt Stock", value: "de_no"},
        { text: "Dépôt Livr.", value: "INFO_LIVRAISON_1"},
        { text: "Etat du CF", value: "do_status"},
        { text: "Date créa", value: "do_date"},
        { text: "Date livr", value: "do_datelivr"},
        { text: "Fournisseur", value: "ct_intitule", width: 200},
        { text: "Nb refs", value: "nb_ref"},
        { text: "Nb pces", value: "nb_pce"}, // set fixed to true
        { text: "Montant HT (restant)", value: "do_totalht", }, // set fixed to true
        { text: "Mention", value: "reliquat"}, // set fixed to true
        { text: "Statut du mail", value: "MailEnvoye"}, // set fixed to true
    ];
    const itemsSelected: Item[] = ref([]);
    const items: Item[] = ref([]);
    const loading = ref(true);

    async function updateData(){
        const [error , data] = await getCfsSuivi();
        if (error) console.error(error);
        else {
            loading.value = false
            items.value = data;
        };
    }

    return {
      loading,
      updateData,
      headers,
      items,
      itemsSelected,

    };
  },
  async created(){
        this.updateData()
    }
});
</script>

<style scoped>
button{
    margin: 2px;
}
</style>